Subject: bug#52042: 29.0.50; [feature/pgtk] issue in moving a fullscreen emacs frame from a scale@1x display to a scale@2x display

From: Alan Third <[email-masked]>
Date: Thu, 2 Dec 2021 22:12:48 +0000

On Thu, Dec 02, 2021 at 10:09:54PM +0000, Alan Third wrote:
> On Thu, Dec 02, 2021 at 12:08:56AM +0900, Yuuki Harano wrote:
> > Maybe, I need to recreate cairo_surface_t when monitor
> > is changed.  I looked for such a signal but nothing found.
> 
> On the NS port whenever we create the context for drawing to the
> bitmap we compare the dimensions/scaling. It's not ideal but it
> doesn't seem to cause any noticeable slowdown. Perhaps PGTK can do
> something similar?

But then, having said that, I've just remembered we also call
expose_frame when the scale changes. That may not be possible if
there's no signal to let you know.
-- 
Alan Third